X2Go Bug report logs - #423
FIx more -Werror=format-security errors

version graph

Package: nx-libs; Maintainer for nx-libs is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Orion Poplawski <orion@cora.nwra.com>

Date: Thu, 30 Jan 2014 02:30:02 UTC

Severity: normal

Tags: patch, pending

Found in version 3.5.0.22

Fixed in version 2:3.5.0.23

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#423; Package nx-libs. (Thu, 30 Jan 2014 02:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 30 Jan 2014 02:30:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: submit@bugs.x2go.org
Subject: FIx more -Werror=format-security errors
Date: Wed, 29 Jan 2014 19:27:21 -0700
[Message part 1 (text/plain, inline)]
Package: nx-libs
Version: 3.5.0.22
Tags: patch

The attached patch fixes more -Werror=format-security errors.
Interestingly, most of the errors only showed up on our arm builds.  No
idea why.

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA/CoRA Division                    FAX: 303-415-9702
3380 Mitchell Lane                  orion@cora.nwra.com
Boulder, CO 80301              http://www.cora.nwra.com
[nx-libs-format.patch (text/x-patch, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#423; Package nx-libs. (Sat, 29 Mar 2014 20:40:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 29 Mar 2014 20:40:02 GMT) Full text and rfc822 format available.

Message #10 received at 423@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 423-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 423@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as pending for release
Date: Sat, 29 Mar 2014 21:37:30 +0100 (CET)
tag #423 pending
fixed #423 2:3.5.0.23
thanks

Hello,

X2Go issue #423 (src:nx-libs) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=4bbcbe5

The issue will most likely be fixed in src:nx-libs (2:3.5.0.23).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 4bbcbe505ec79294b243a4dac60d4d1bff397336
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Sat Mar 29 21:22:59 2014 +0100

    Add patch: 056_nx-X11-Werror-format-security.patch. Fix more -Werror=format-security errors that only show up on ARM builds. (Fixes: #423).

diff --git a/debian/changelog b/debian/changelog
index 7e242b3..74fa55e 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -6,6 +6,9 @@ nx-libs (2:3.5.0.23-0x2go1) UNRELEASED; urgency=low
   * Add patch: 055_nx-X11_imake-Werror-format-security.full.patch. Fix FTBFS
     of imake on current Fedora rawhide (21) which uses the compiler option
     -Werror=format-security for all builds. (Fixes: #412).
+  * Add patch: 056_nx-X11-Werror-format-security.patch. Fix more
+    -Werror=format-security errors that only show up on ARM builds. (Fixes:
+    #423).
   * nx-libs.spec:
     - Sync nx-libs.spec in Fedora with upstream's nx-libs.spec file. (Fixes:
       #393).


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 29 Mar 2014 20:40:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 2:3.5.0.23. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 29 Mar 2014 20:40:02 GMT) Full text and rfc822 format available.

Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#423. (Sat, 29 Mar 2014 20:40:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#423; Package nx-libs. (Tue, 06 May 2014 16:10:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 06 May 2014 16:10:05 GMT) Full text and rfc822 format available.

Message #22 received at 423@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 423-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 423@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Tue, 6 May 2014 18:07:37 +0200 (CEST)
close #423
thanks

Hello,

we are very hopeful that X2Go issue #423 reported by you
has been resolved in the new release (2:3.5.0.23) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.23)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=fdeaafb5e2f4520857ca4757261df79d233e05cb;hp=626b5dbae6b7b432d573f88abc8e3e8ae2bdba85

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.23-0x2go1
Status: RELEASE
Date: Tue, 06 May 2014 18:05:47 +0200
Fixes: 393 411 412 423
Changes: 
 nx-libs (2:3.5.0.23-0x2go1) RELEASED; urgency=low
 .
   [ Orion Poplawski ]
   * Add patch: 054_nx-X11_ppc64-ftbfs.full.patch. Fix FTBFS on ppc64
     architecture. (Fixes: #411).
   * Add patch: 055_nx-X11_imake-Werror-format-security.full.patch. Fix FTBFS
     of imake on current Fedora rawhide (21) which uses the compiler option
     -Werror=format-security for all builds. (Fixes: #412).
   * Add patch: 056_nx-X11-Werror-format-security.patch. Fix more
     -Werror=format-security errors that only show up on ARM builds. (Fixes:
     #423).
   * nx-libs.spec:
     - Sync nx-libs.spec in Fedora with upstream's nx-libs.spec file. (Fixes:
       #393).
 .
   [ Mike Gabriel ]
   * debian/control:
     + Build our imake against x11proto-core-dev headers.
   * nx-libs.spec:
     + Build our imake against xorg-x11-proto-devel.
 .
   [ Oleksandr Shneyder ]
   * Add patch: 205_nxagent_refresh-adsl.full.patch. Fix refresh error on RDP
     connections to Windows 2012 if speed=ADSL.


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#423; Package nx-libs. (Tue, 06 May 2014 16:10:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 06 May 2014 16:10:05 GMT) Full text and rfc822 format available.

Message #27 received at 423@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 423-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 423@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Tue, 6 May 2014 18:07:35 +0200 (CEST)
close #423
thanks

Hello,

we are very hopeful that X2Go issue #423 reported by you
has been resolved in the new release (2:3.5.0.23) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.23)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=4f56401ad0df9cf6380910418e283267a04bbf2e;hp=626b5dbae6b7b432d573f88abc8e3e8ae2bdba85

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.23-0x2go1
Status: RELEASE
Date: Tue, 06 May 2014 18:05:47 +0200
Fixes: 393 411 412 423
Changes: 
 nx-libs (2:3.5.0.23-0x2go1) RELEASED; urgency=low
 .
   [ Orion Poplawski ]
   * Add patch: 054_nx-X11_ppc64-ftbfs.full.patch. Fix FTBFS on ppc64
     architecture. (Fixes: #411).
   * Add patch: 055_nx-X11_imake-Werror-format-security.full.patch. Fix FTBFS
     of imake on current Fedora rawhide (21) which uses the compiler option
     -Werror=format-security for all builds. (Fixes: #412).
   * Add patch: 056_nx-X11-Werror-format-security.patch. Fix more
     -Werror=format-security errors that only show up on ARM builds. (Fixes:
     #423).
   * nx-libs.spec:
     - Sync nx-libs.spec in Fedora with upstream's nx-libs.spec file. (Fixes:
       #393).
 .
   [ Mike Gabriel ]
   * debian/control:
     + Build our imake against x11proto-core-dev headers.
   * nx-libs.spec:
     + Build our imake against xorg-x11-proto-devel.
 .
   [ Oleksandr Shneyder ]
   * Add patch: 205_nxagent_refresh-adsl.full.patch. Fix refresh error on RDP
     connections to Windows 2012 if speed=ADSL.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 06 May 2014 16:10:07 GMT) Full text and rfc822 format available.

Notification sent to Orion Poplawski <orion@cora.nwra.com>:
Bug acknowledged by developer. (Tue, 06 May 2014 16:10:07 GMT) Full text and rfc822 format available.

Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#423. (Tue, 06 May 2014 16:10:12 GMT) Full text and rfc822 format available.

Message sent on to Orion Poplawski <orion@cora.nwra.com>:
Bug#423. (Tue, 06 May 2014 16:10:13 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#423; Package nx-libs. (Tue, 06 May 2014 17:50:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 06 May 2014 17:50:01 GMT) Full text and rfc822 format available.

Message #42 received at 423@bugs.x2go.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: 423@bugs.x2go.org
Subject: Still present in3.5.0.23
Date: Tue, 06 May 2014 11:45:56 -0600
[Message part 1 (text/plain, inline)]
I'm still seeing this in 3.5.0.23:

In file included from x11trans.c:80:0:
../../lib/xtrans/Xtranssock.c: In function '_NXGetUnixDir':
../../lib/xtrans/Xtranssock.c:377:5: error: format not a string literal and no 
format arguments [-Werror=format-security]
     PRMSG (3, "_NXGetUnixDir(%s)\n", dir, 0, 0);
     ^
../../lib/xtrans/Xtranssock.c: In function '_NXGetUnixPath':
../../lib/xtrans/Xtranssock.c:446:5: error: format not a string literal and no 
format arguments [-Werror=format-security]
     PRMSG (3, "_NXGetUnixPath(%s)\n", path, 0, 0);
     ^
I don't see that this patch is actually applied.


-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com
[nx-libs-format.patch (text/x-patch, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#423; Package nx-libs. (Wed, 07 May 2014 07:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 07 May 2014 07:15:02 GMT) Full text and rfc822 format available.

Message #47 received at 423@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Orion Poplawski <orion@cora.nwra.com>, 423@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#423: Still present in3.5.0.23
Date: Wed, 07 May 2014 07:11:19 +0000
[Message part 1 (text/plain, inline)]
Hi Orion,

On  Di 06 Mai 2014 19:45:56 CEST, Orion Poplawski wrote:

> I'm still seeing this in 3.5.0.23:
>
> In file included from x11trans.c:80:0:
> ../../lib/xtrans/Xtranssock.c: In function '_NXGetUnixDir':
> ../../lib/xtrans/Xtranssock.c:377:5: error: format not a string  
> literal and no format arguments [-Werror=format-security]
>      PRMSG (3, "_NXGetUnixDir(%s)\n", dir, 0, 0);
>      ^
> ../../lib/xtrans/Xtranssock.c: In function '_NXGetUnixPath':
> ../../lib/xtrans/Xtranssock.c:446:5: error: format not a string  
> literal and no format arguments [-Werror=format-security]
>      PRMSG (3, "_NXGetUnixPath(%s)\n", path, 0, 0);
>      ^
> I don't see that this patch is actually applied.

Dang... The patch 056 did not make it into the rolled release tarball.

Fixing and re-releasing (as 3.5.0.24)...

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#423; Package nx-libs. (Wed, 07 May 2014 15:45:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@cora.nwra.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 07 May 2014 15:45:01 GMT) Full text and rfc822 format available.

Message #52 received at 423@bugs.x2go.org (full text, mbox):

From: Orion Poplawski <orion@cora.nwra.com>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 423@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#423: Still present in3.5.0.23
Date: Wed, 07 May 2014 09:41:30 -0600
On 05/07/2014 01:11 AM, Mike Gabriel wrote:
> Hi Orion,
>
> On  Di 06 Mai 2014 19:45:56 CEST, Orion Poplawski wrote:
>
>> I'm still seeing this in 3.5.0.23:
>>
>> In file included from x11trans.c:80:0:
>> ../../lib/xtrans/Xtranssock.c: In function '_NXGetUnixDir':
>> ../../lib/xtrans/Xtranssock.c:377:5: error: format not a string literal and
>> no format arguments [-Werror=format-security]
>>      PRMSG (3, "_NXGetUnixDir(%s)\n", dir, 0, 0);
>>      ^
>> ../../lib/xtrans/Xtranssock.c: In function '_NXGetUnixPath':
>> ../../lib/xtrans/Xtranssock.c:446:5: error: format not a string literal and
>> no format arguments [-Werror=format-security]
>>      PRMSG (3, "_NXGetUnixPath(%s)\n", path, 0, 0);
>>      ^
>> I don't see that this patch is actually applied.
>
> Dang... The patch 056 did not make it into the rolled release tarball.
>
> Fixing and re-releasing (as 3.5.0.24)...
>
> Mike
>

Looks good now, thanks.

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 05 Jun 2014 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Jul 23 02:52:46 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.